------------------------------------------------------------
--                    GENERIC SWITCH Type 3(Hor/vert)     --
--       J. Zahar based on Russ Barlow original Work      --  
------------------------------------------------------------

----------------- FUNCTION DEFINITION ----------------------
-- MODIFY the variables values to the desired function    --
--                                                        --
------------------------------------------------------------
-- Type of switch to display : 
--     1: Vertical Toggle switch  
--     2: Horizontal Toggle switch 

switch_display_type= 2                                        -- change the number according to the list above (1-2)

-- Xplane Function operated by the switch --
-- modify the variable according to taste --
xpl_switch_function="sim/cockpit/electrical/nav_lights_on"   -- Xplane function/variable to perform
xpl_switch_type="INT"                                           -- Xplane function variable type returned 
-- Fsx Function operated by the switch
-- modify the variable according to taste --
fsx_switch_var="LIGHT NAV"                                 -- FSX Event 
fsx_switch_function="TOGGLE_NAV_LIGHTS"                    -- FSX action to perform
fsx_switch_type="Bool"                                     -- FSX function variable type returned 

------------------------------------------------------------
--  END OF FUNCTION DEFINITION                            --
--  Do not modifiy code beyond this point                 --
------------------------------------------------------------


-- SWITCH
function switch_click_callback(position)

    if position == 0 then
        switch_set_state(switch_id, 1)
        xpl_dataref_write(xpl_switch_function,xpl_switch_type, 1)
        fsx_event(fsx_switch_function)
    elseif position == 1 then
        xpl_dataref_write(xpl_switch_function,xpl_switch_type, 0)
        switch_set_state(switch_id, 0)
        fsx_event(fsx_switch_function)
    end

end

if switch_display_type==1 then
		switch_id = switch_add("toggle_ver_off.png", "toggle_ver_on.png", 0,0,63,63,switch_click_callback)
	end
if switch_display_type==2 then
		switch_id = switch_add("toggle_hor_off.png", "toggle_hor_on.png", 0,0,63,63,switch_click_callback)
	end

	function new_switch_pos(sw_on)

    if sw_on == 0 then
        switch_set_state(switch_id, 0)
    elseif sw_on == 1 then
        switch_set_state(switch_id, 1)
    end
    
end


function new_switch_pos_fsx(sw_on)

    sw_on = fif(sw_on, 1, 0)
    new_switch_pos(sw_on)

end

xpl_dataref_subscribe(xpl_switch_function,xpl_switch_type,new_switch_pos)
fsx_variable_subscribe(fsx_switch_function, "Bool", new_switch_pos_fsx)
